Subject: Re: [X2Go-Dev] error on login to ubuntu/debian -> stdin: is not a tty

From: Mihai Moldovan <[email-masked]>
Date: Fri, 3 Nov 2017 17:25:49 +0100

Control: reassign -1 x2goclient 4.1.1.0
Control: tag -1 not-a-bug
Control: close -1

Closing this bugreport as not a bug.

X2Go Client has seen some changes in the past, including spawning login shells,
which means that more shell startup scripts are executed now.

If these don't check for interactivity correctly and happen to run programs that
write to stderr in case of non-interactivity, connections will fail, since
stderr is extensively used for error detection by x2goclient.

Mihai